Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519152 - [RFE] Need a way to specify discard_after_delete value during storage domain creation.
Summary: [RFE] Need a way to specify discard_after_delete value during storage domain ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ansible
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.3
: ---
Assignee: Ondra Machacek
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 10:09 UTC by Denis Chaplygin
Modified: 2018-06-14 08:23 UTC (History)
4 users (show)

Fixed In Version: ansible-2.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 08:23:03 UTC
oVirt Team: Infra
pkubica: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ansible ansible issues 33448 None None None 2017-12-01 08:30:48 UTC

Description Denis Chaplygin 2017-11-30 10:09:02 UTC
Description of problem: Storage domain property 'discard_after_delete' can not be set using ovirt_storage_domains ansible module.


How reproducible: always


Steps to Reproduce:
1. Try to create a SD with discard_after_delete set to 'false' using ovirt_storage_domains ansible module

Actual results: You can't. discard_after_delete is always set to the default value 'true'


Expected results: You should be able to specify value for discard_after_delete property.

Comment 1 Martin Perina 2017-12-01 08:30:48 UTC
Moving to 4.2.3 as this RFE will probably be part of ansible-2.5.0

Comment 2 Martin Perina 2018-04-13 11:57:39 UTC
Moving to ON_QA, Ansible 2.5 is required by engine 4.2.3

Comment 3 Lucie Leistnerova 2018-04-20 12:39:17 UTC
iscsi storage added with discard_after_delete = false

verified in ansible 2.5.0 with ovirt-engine-4.2.3.2-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.